rte_fbk_hash_entry(3)

NAME
rte_fbk_hash_entry

SYNOPSIS

#include <rte_fbk_hash.h>

  Data Fields

uint64_t whole_entry
struct {
uint16_t is_entry
uint16_t value
uint32_t key
} entry

Detailed Description

Individual entry in the four-byte key hash table.

Definition at line 59 of file rte_fbk_hash.h.

Field Documentation

  uint64_t whole_entry
For accessing entire entry.

Definition at line 60 of file rte_fbk_hash.h.

  uint16_t is_entry
Non-zero if entry is active.

Definition at line 62 of file rte_fbk_hash.h.

  uint16_t value
Value returned by lookup.

Definition at line 63 of file rte_fbk_hash.h.

  uint32_t key
Key used to find value.

Definition at line 64 of file rte_fbk_hash.h.

  struct { ... } entry
For accessing each entry part.

Author

Generated automatically by Doxygen for DPDK from the source code.